<?
include_once("mysql.php");
include 'inclydings/sesi.php';
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/antixak.php");
include_once("inclydings/zag2.php");
include_once("inclydings/check2.php");
include_once("inclydings/ini.php");
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {
include_once("inclydings/udata.php");
switch($go) {

default:

echo"<b>Заядлый рыбак</b><br/>";
echo'<center><img src="pik4erspic/city/Dark-elven.jpg" weight=150 height=150></center></br>';
echo"Приветствую тебя на моём озере!<br/>
Ты готов к рыбалке?<br/>
У тебя есть Удочка,Наживка?<br/><br/>";
echo"<b><a href=\"fish.php?$sd&go=rules\">Правила Рыбалки</a></b><br/>

<a href=\"fish.php?$sd&go=sea\">Рыбачить</a><br/><br/>";
echo"<a href=\"ribak.php?$sd&\">Рыбацкие Снасти</a><br/>";

break;
case 'vuhod':
unlink("L2dbnam/esql2db/fish/$log.dat");
echo"Вы покинули озеро!</a></br>";
echo"<a href=\"main.php?$sd\">Продолжить</a>";




break;

case 'rules':

echo"<b>Заядлый рыбак</b><br/>";
echo"Правил как таковых нет, есть только рекомендации как ловить:<br/>
1) Как я говорил раньше, нужно иметь удочку и наживки.<br/>
2) Для начала нужно взять удочку в руки и закинуть наживку. При каждой закидке расходуется 1 наживка, если наживки закончатся, то и порыбачить не получится.<br/>
3) Твой улов состоит из 60 минут,за каждые 10 минут Когда рыба заклюет необходимо её подсекать,что бы споймать её,если вы не подсекнете рыбу,улов будет неудачным.Подсекать рубу нужно каждые 10 минут<br/>
4) Абсолютно все рыбаки могут участвуют в конкурсе лучшего рыбака, призы раздаются каждую неделю.Для Участия нужно подать заявку на участвие Рыбаку который есть в  городе.<br/>";
echo"<br/><a href=\"fish.php?$sd&\">Продолжить</a><br/>";


break;
case 'about':

echo"
<b>\"Ловись рыба большая,и маленькая.\"</b><br/><br/>
Рыбалка - это не только способ отдохнуть от нудного кача или в ожидании подходящей группы, но и способ заработать денег.
Все, что нужно для успешной рыбалки - удочка (Fishing Pole) и наживка (Bait/Lure). Все это можно приобрести у Fishing Mastery, расположенных в разных городах.

";



break;


case 'sea':
$date=date("D");

if($date=="Sun"){echo"Зона рыбалки доступна только с понедельника по субботу."; include_once"inclydings/down.php"; exit; }
if($udata[12]>"Baby Duck Rod"){echo"Сначало возьмите Удочку!"; include_once"inclydings/down.php"; exit; }
$file=@file("L2dbnam/esql2db/item/$log.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode(":||:",$file[$i]);

if($data[4]=="Baby Duck Rod"){
$udo4ka="yes";
}

if($data[4]=="Lure"){
$nazivka="yes";
}

}

if($nazivka=="yes" && $udo4ka=="yes"){

$time=time();
$kol="0";

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$time||$kol||0||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);


echo"<a href=\"fish.php?$sd&go=ulov\">Подойти ближе к озеру</a>";


}else{
echo"У вас нету наживки."; include_once"inclydings/down.php"; exit; }



break;

case 'ulov':

if(!@file("L2dbnam/esql2db/fish/$log.dat")){ echo"Ошибка."; include_once"inclydings/down.php"; exit; }

$file=@file("L2dbnam/esql2db/fish/$log.dat");
$data=explode("||",$file[0]);

$time1=$data[0];
$kol=$data[1];

$realtime=time()+3600;

$ost=$realtime-$time1;

if($ost>="7200"){
echo"Выловлено: $kol<br/><br/>";


$file2=@file("L2dbnam/esql2db/item/$log.dat");
$vsego=count($file2);
for($i=0; $i<$vsego; $i++){
$data2=explode(":||:",$file2[$i]);

if($data2[4]=="Fish"){


$file2=@file("L2dbnam/esql2db/item/$log.dat");
$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);

$koll=$kol+$data2[3];

$text="100:||:2000:||:vesh:||:$koll:||:Fish:||:";

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);

unlink("L2dbnam/esql2db/fish/$log.dat");
echo"<a href=\"main.php?$sd\">Продолжить</a>";

include_once"inclydings/down.php";

exit;

}}

$text="100:||:2000:||:vesh:||:$kol:||:Fish:||:";

if($kol!=="0"){

$fp=fopen("L2dbnam/esql2db/item/$log.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text\r\n");
flock ($fp,LOCK_UN);
fclose($fp);}

unlink("L2dbnam/esql2db/fish/$log.dat");
echo"<a href=\"main.php?$sd\">Продолжить</a>";

include_once"inclydings/down.php";

exit;




}

$vivod=date("i", $ost);


$vivod2=60-$vivod;



$vivod3=$vivod2;

if($vivod2=="50" && $data[2]=="0"){

$rand=rand(1,6);

$kol=$kol+$rand;

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$data[0]||$kol||1||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);

}

if($vivod2=="40" && $data[2]=="1"){

$rand=rand(1,6);

$kol=$kol+$rand;

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$data[0]||$kol||2||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);

}

if($vivod2=="30" && $data[2]=="2"){

$rand=rand(1,6);

$kol=$kol+$rand;

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$data[0]||$kol||3||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);

}

if($vivod2=="20" && $data[2]=="3"){

$rand=rand(1,6);

$kol=$kol+$rand;

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$data[0]||$kol||4||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);

}

if($vivod2=="10" && $data[2]=="4"){

$rand=rand(1,6);

$kol=$kol+$rand;

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$data[0]||$kol||5||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);

}

if($vivod2="1" && $data[2]=="5"){

$rand=rand(1,6);

$kol=$kol+$rand;

$fp=fopen("L2dbnam/esql2db/fish/$log.dat","w");
flock ($fp,LOCK_EX);
fputs($fp,"$data[0]||$kol||6||\r\n");
flock ($fp,LOCK_UN);
fclose($fp);
chmod ("L2dbnam/esql2db/fish/$log.dat", 0666);

echo"<a href=\"fish.php?$sd&go=ulov\">Продолжить</a>";

include_once"inclydings/down.php";

exit;

}



echo"Осталось рыбачить: $vivod3 минут)<br/>";
echo"Выловлено рыбы:<img src=pik4erspic/mini/fish.gif width=16 height=16> $kol<br/><br/><a href=\"fish.php?$sd&go=ulov\">Обновить</a><br/><a href=\"fish.php?$sd&go=vuhod\">Уйти из озера</a><br/><br/><b>Примечание:</b><br/> Что бы рыба ловилась, обновляйте страницу точно когда проходит 10 минут.<br/> Если вы не обновите страницу вовремя, улов будет неудачным! <br/>Вы просто ничего не поймаете.";


break;

}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>

